Skip to main content
GET

Scan API

Returns the update with the given update_id

OpenAPISince 0.5.10Changed 0.6.0
Returns the update with the given update_id. Compared to /v1/updates/{update_id}, the /v2/updates/{update_id} removes the offset field in responses, which was hardcoded to 1 in /v1/updates/{update_id} for compatibility, and is now removed.

Protocol Details

Operation IDgetUpdateByIdV2
Published0.7.4
SpecificationDownload OpenAPI

Inputs

Path parameters

string
required

Query parameters

object
OpenAPI type: DamlValueEncoding.

Outputs

200

application/json
UpdateHistoryItemV2
required
An individual item in the update history. May be a transaction or a contract reassignment.

400

application/json
string
required

404

application/json
string
required

500

application/json
string
required

History

Changed0.6.0

The GET /v2/updates/{update_id} operation changed in this snapshot.

Changed0.5.17

The GET /v2/updates/{update_id} operation changed in this snapshot.

Introduced0.5.10